using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("DoctorPayInformation")]
    public partial class ReviewerPayInformation : Entity, IAuditAdd, IAuditUpdate
    {
        public Guid DoctorId { get; set; }
        [StringLength(200)]
        public string DoctorNameInBank { get; set; }

        [StringLength(100)]
        public string IDCard { get; set; }

        [StringLength(100)]
        public string BankCardNumber { get; set; }

        [StringLength(200)]
        public string BankName { get; set; }
        public Guid RankId { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Additional { get; set; }

        public DateTime CreateTime { get; set; }
        public Guid CreateUserId { get; set; } = Guid.Empty;
        public DateTime UpdateTime { get; set; }
        public Guid UpdateUserId { get; set; } = Guid.Empty;
    }
}
